%global _empty_manifest_terminate_build 0
Name:		python-pycollada
Version:	0.7.2
Release:	1
Summary:	python library for reading and writing collada documents
License:	BSD-3-Clause
URL:		http://pycollada.readthedocs.org/
Source0:	https://files.pythonhosted.org/packages/c1/7e/91cb2540947f0e8bcdee83e61a7b278784ac2d25f2864091344590a2619f/pycollada-0.7.2.tar.gz
BuildArch:	noarch


%description
python library for reading and writing collada documents

%package -n python3-pycollada
Summary:	python library for reading and writing collada documents
Provides:	python-pycollada
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-pycollada
python library for reading and writing collada documents

%package help
Summary:	Development documents and examples for pycollada
Provides:	python3-pycollada-doc
%description help
python library for reading and writing collada documents

%prep
%autosetup -n pycollada-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pycollada -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Sep 30 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 0.7.2-1
- Upgrade to 0.7.2

* Wed May 11 2022 xigaoxinyan <xigaoxinyan@h-partners.com> - 0.7.1-2
- License compliance rectification

* Sat Jul 18 2020 Python_Bot <Python_Bot@openeuler.org> - 0.7.1-1
- Package Spec generated
